"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _util = require("./util");

var _default = {
  meta: {
    docs: {
      url: (0, _util.getDocsUrl)(__filename)
    },
    messages: {
      useToStrictEqual: 'Use toStrictEqual() instead'
    },
    fixable: 'code',
    schema: []
  },

  create(context) {
    return {
      CallExpression(node) {
        if (!(0, _util.expectCase)(node)) {
          return;
        }

        const propertyName = (0, _util.method)(node) && (0, _util.method)(node).name;

        if (propertyName === 'toEqual') {
          context.report({
            fix(fixer) {
              return [fixer.replaceText((0, _util.method)(node), 'toStrictEqual')];
            },

            messageId: 'useToStrictEqual',
            node: (0, _util.method)(node)
          });
        }
      }

    };
  }

};
exports.default = _default;